classification
Title: Document the path option in the Windows installer
Type: behavior Stage: resolved
Components: Documentation, Installation, Windows Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brian.curtin Nosy List: brian.curtin, eric.araujo, ezio.melotti, michael.driscoll, ncoghlan, python-dev
Priority: critical Keywords:

Created on 2012-04-25 13:25 by brian.curtin, last changed 2012-10-06 18:32 by brian.curtin. This issue is now closed.

Messages (6)
msg159281 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2012-04-25 13:25
Now that #3561 is in, it needs to be mentioned in at least the following places:
Doc\whatsnew\3.3.rst
Doc\faq\windows.rst

http://python.org/download/windows/ could use an update, but that's on a separate SVN repository
msg159306 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-04-25 15:43
Don’t forget Doc/using/windows.rst and maybe the various FAQs too (general FAQ, using FAQ, devguide FAQ).
msg161443 - (view) Author: Michael Driscoll (michael.driscoll) * Date: 2012-05-23 17:57
Looking at 3.3.rst, it looks like we could just add the blurb to the end of the file in the "Other issues" section. The "windows.rst" file is potentially more complicated as I assume we need to leave the directions for adding the path for users that are using older versions of Python. 

Perhaps we could add a sentence to the effect of: "As of Python 3.3, you may add Python and its Scripts directory to your PATH environment variable during installation of Python."
msg161819 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2012-05-28 23:43
See #14941 for a couple of other issues I noticed with the current Windows docs (specifically, -m means finding the stdlib location could probably be de-emphasised and the docs on compiling should be replaced with a reference to the devguide)
msg168583 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-08-19 16:22
New changeset b07a408b0291 by Brian Curtin in branch 'default':
Fixes #14668. Mention Windows Path manipulation option in the installer.
http://hg.python.org/cpython/rev/b07a408b0291
msg172168 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-10-06 04:36
Brian, can this be closed?
History
Date User Action Args
2012-10-06 18:32:25brian.curtinsetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2012-10-06 04:36:41ezio.melottisetnosy: + ezio.melotti
messages: + msg172168
2012-08-19 16:22:29python-devsetnosy: + python-dev
messages: + msg168583
2012-05-28 23:43:49ncoghlansetnosy: + ncoghlan
messages: + msg161819
2012-05-28 23:40:03ncoghlanlinkissue14941 superseder
2012-05-23 17:57:10michael.driscollsetnosy: + michael.driscoll
messages: + msg161443
2012-04-25 15:43:40eric.araujosetnosy: + eric.araujo
messages: + msg159306
2012-04-25 13:25:10brian.curtincreate